Page MenuHomePhabricator

downgrade: if a compression is removed, consider that too
ClosedPublic

Authored by pulkit on Jan 8 2021, 1:45 PM.

Details

Summary

For compression format variant, the result of fromrepo() and fromconfig() is
not a boolean and we have to actually equate those to find change.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Jan 8 2021, 1:45 PM
mharbison72 requested changes to this revision.Jan 12 2021, 8:11 PM
mharbison72 added a subscriber: mharbison72.
mharbison72 added inline comments.
mercurial/upgrade_utils/actions.py
475

Should there be a continue in here for clarity/correctness?

This revision now requires changes to proceed.Jan 12 2021, 8:11 PM
pulkit added inline comments.Jan 13 2021, 4:41 AM
mercurial/upgrade_utils/actions.py
475

Agreed.

mharbison72 accepted this revision.Jan 13 2021, 12:11 PM
This revision is now accepted and ready to land.Jan 13 2021, 12:11 PM
This revision was automatically updated to reflect the committed changes.